# highoutput-react-scripts

This package includes scripts and configuration used by [High Output Labs](https://github.com/Proto-Garage/create-react-app).

## Using typescript

To start a new Create React App project using [TypeScript](https://www.typescriptlang.org/), you can run:

```
npx create-react-app [your-app-name] --scripts-version highoutput-react-scripts --typescript --use-npm
```

The above will use npm package manager to install dependencies. By default, any app created by create-react-app uses yarn.

## Setting up apollo configuration

Open `./src/.env` file, and then change the `REACT_APP_GRAPHQL_ENDPOINT` with your graphql endpoint.

## Default component library

Out of the box it uses [Sancho UI](https://sancho-ui.com/#___gatsby) as the default component library. The library utilizes React hooks for the implementaion of its component library.
